label {
  font-size: $form-label-size;
  font-weight: $form-label-weight;
  margin: $form-label-margin;
}

input, textarea, select {
  border-radius: $form-input-radius;
  border-width: $form-input-border-width;
  border-style: $form-input-border-style;
  border-color: $form-input-border-color;
  background-color: $form-input-bg-color;
  padding: $form-input-padding;
  font-size: $form-input-size;
  transition: all 0.2s ease;
  width: 100%;
  line-height: 1;
  &:focus {
    border-width: $form-input-focus-border-width;
    border-style: $form-input-focus-border-style;
    border-color: $form-input-focus-border-color;
    outline: none;
    + label {
      color: $form-label-focus-color;
    }
  }
  &:disabled {
    background-color: $form-input-disabled-bg-color;
    color: $form-input-disabled-color;
  }
  &::-webkit-input-placeholder { color: $form-input-placeholder-color; }
  &::-moz-placeholder { color: $form-input-placeholder-color; }
  &:-ms-input-placeholder { color: $form-input-placeholder-color; }
  &:-moz-placeholder { color: $form-input-placeholder-color; }
}

input {
  &[type="checkbox"],
  &[type="radio"] {
    width: auto;
  }
}

textarea {
  min-height: $form-textarea-min-height;
  &.big-textarea {
    min-height: $form-big-textarea-min-height;
    line-height: $form-big-textarea-line-height;
  }
}
.mobile-app {
  select {
    background: url('../images/select.png') #fff no-repeat 96% center;
  }
}


.checkbox {
  display: flex;
  align-items: center;
  input {margin-right: 6px;}
  label {
    margin: 0;
  }
}

input[type="file"] {
  width: 0.1px;
  height: 0.1px;
  opacity: 0;
  overflow: hidden;
  position: absolute;
  z-index: -1;
  + label {
    text-overflow: ellipsis;
    font-weight: normal;
    border-radius: $global-radius;
    white-space: nowrap;
    cursor: pointer;
    display: inline-block;
    overflow: hidden;
    padding: 6px;
    color: #fff;
    background-color: $second-color;
  }
}

.input-cross {
  position: absolute;
  color: #333;
  bottom: 14px;
  right: 12px;
  cursor: pointer;
}
